package com.kcim.service;

import com.kcim.dao.model.Equipment;
import com.kcim.vo.CodeAndNameVO;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * @program: CostAccount
 * @description: 设备成本管理接口
 * @author: Wang.YS
 * @create: 2023-11-07 15:54
 **/

public interface EquipmentService {
    Object getEquipmentList(Integer current, Integer pageSize, String name, Integer stop);

    void addEquipment(Equipment request);

    void editEquipment(Equipment request);

    void deleteEquipment(Integer id);

    Object exportEquipment(HttpServletResponse response);

    void importEquipment(MultipartFile file);

    List<CodeAndNameVO> getItemDict();
}
